<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
 
	 
	   
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $cd =$_POST['listacd'];
$tipo =$_POST['centro'];
 $lavta =1;
 
 
 
 
 
if($lavta==0){
	$elt=",cdentrega order by cdentrega, nombreprod";$elt1="cdentrega";$lafech="fechae";
}
if($lavta==1){
	$elt=",cdentrega order by cdentrega, nombreprod";$elt1="cdentrega";$lafech="fechae";
}
if($lavta==2){
	$elt=",usuarios_ci_idusuarios_ci order by usuarios_ci_idusuarios_ci, nombreprod";$elt1="usuarios_ci_idusuarios_ci";$lafech="fechat";
}


if($cd==0){
	
	
	
	$elcentro="";
}else{
	
	if($lavta==0){
	$elcentro="and usuarios_ci_idusuarios_ci='$cd' ";}
	
	else{
	$elcentro="and cdentrega='$cd' ";}

}


$vta_total=0;
 if($lavta==5){
	$q2 = "select sum(cant), nombreprod, usuarios_ci_idusuarios_ci, id_prod, cdentrega from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by usuarios_ci_idusuarios_ci, productos_idprod, cdentrega ";
	$q3 = "select sum(cant), nombreprod, usuarios_ci_idusuarios_ci, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by  productos_idprod order by nombreProd"; 
	 
 }
 
  if($lavta==2){
	$q2 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by cdentrega, productos_idprod ";
	$q3 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by  productos_idprod order by nombreProd"; 
	 
 }
 
  if($lavta==1){
	$q2 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fecha1\" and \"$fecha2\" group by cdentrega, productos_idprod ";
	$q3 = "select sum(cant), nombreprod, usuarios_ci_idusuarios_ci, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fecha1\" and \"$fecha2\" group by  productos_idprod order by nombreProd"; 
	 
 }
 
   if($lavta==0){
	$q2 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by cdentrega, productos_idprod ";
	$q3 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fecha1\" and \"$fecha2\" group by  productos_idprod order by nombreProd"; 
	 
 }
 
 
 
 
 if($lavta==10){
$q2 = "select sum(cant), nombreprod, usuarios_ci_idusuarios_ci, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where(statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) $elcentro and $lafech between \"$fecha1\" and \"$fecha2\" group by productos_idprod $elt ";
	$q3 = "select sum(cant), nombreprod, usuarios_ci_idusuarios_ci, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and(tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and $lafech between \"$fecha1\" and \"$fecha2\" group by productos_idprod  order by nombreProd";
}
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta1' . mysqli_error($conexion));
  echo"<center><br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th><th>id_prod</th><th>cd</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 $a4 = $r1[4];
	  if($lavta==0){$elcd=$a2;}else{$elcd=$a3;}
	   $tot=$a0*$a2;
	   $vta_total+=$tot;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a3</td><td>$a2</td><td>$a4</td></tr>";
	}
	  $c3 = mysqli_query($conexion, $q3) or die ('Error en la consulta2' . mysqli_error($conexion));
  echo"</table><center><br><br><br>Global<br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c3);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 
	  
	   $tot=$a0*$a2;
	   $vta_total+=$tot;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a3</td></tr>";
	}
	echo"</table><br>";
	
  
  
  
?>